<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerAktif extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 3) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_keuangan/insert_model');
        $this->load->model('bagian_keuangan/select_model');
        $this->load->model('bagian_keuangan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        // Data Isian Konten
        // Tampilkan Jenis Pinjaman 
        $pinjaman_aktif        = $this->select_model->vd_PinjamanAktif();
        $data_jaminan          = $this->select_model->vd_jaminanPinjaman();
        // Pinjaman Dipecah Kembali
        $pinjaman_mingguan     = $this->select_model->vd_PinjamanAktifMingguan();
        $pinjaman_2mingguan    = $this->select_model->vd_PinjamanAktif2Mingguan();
        $pinjaman_bulanan      = $this->select_model->vd_PinjamanAktifBulanan();
        $pinjaman_musiman      = $this->select_model->vd_PinjamanAktifMusiman();
        // Jumlah Pinjaman
        $jml_mingguan          = count($pinjaman_mingguan);
        $jml_2mingguan         = count($pinjaman_2mingguan);
        $jml_BulananC          = count($this->select_model->vd_PinjamanAktifBulananC());
        $jml_BulananA          = count($this->select_model->vd_PinjamanAktifBulananA());
        $jml_BulananK          = count($this->select_model->vd_PinjamanAktifBulananK());
        $jml_Musiman           = count($pinjaman_musiman);
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'koperasi/aktif',
            'page'                => 'index',
            'judul'               => 'Pinjaman Aktif || Bagian Keuangan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi dalam konten
            'pinjaman_aktif'      => $pinjaman_aktif,
            'data_jaminan'        => $data_jaminan,
            // Data Pecahan Pinjaman
            'aktif_mingguan'      => $pinjaman_mingguan,
            'aktif_2mingguan'     => $pinjaman_2mingguan,
            'aktif_bulanan'       => $pinjaman_bulanan,
            'aktif_musiman'       => $pinjaman_musiman,
            // Jumlah aktif
            'p_mingguan'          => $jml_mingguan,
            'p_2mingguan'         => $jml_2mingguan,
            'p_BulananC'          => $jml_BulananC,
            'p_BulananA'          => $jml_BulananA,
            'p_BulananK'          => $jml_BulananK,
            'p_musiman'           => $jml_Musiman
        );
        $this->load->view('keuangan/index', $data);
    }
    // Detail Kontrak pinjaman
    public function kontrak($id)
    {
        $notif                 = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login            = $this->userlogin->user_login();
        $data_id_login         = $this->session->userdata('isloggedin');
        $kontrak_id            = $this->encrypt->decode($id);
        // Rincian Kontrak
        $rincian_kontrak       = $this->db->get_where('p_koperasi_kontrak', ['id' => $kontrak_id])->row_array();
        $data_realisasi        = $this->db->get_where('p_koperasi_progres', ['kontrak_id' => $kontrak_id])->row_array();
        $data_jaminan          = $this->db->get_where('p_koperasi_agungan', ['kontrak_id' => $kontrak_id])->row_array();
        $data_anggota          = $this->db->get_where('anggota', ['id' => $rincian_kontrak['anggota_id']])->row_array();
        $data_angsuran         = $this->select_model->vd_angsuran($kontrak_id);
        $sudah_bayar           = $this->select_model->vd_SudahBayarAngsuran($kontrak_id);
        // echo '<pre>';
        // var_dump($data_angsuran);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'koperasi/kontrak',
            'page'                => 'index',
            'judul'               => 'Detail Kontrak Pinjaman || Bagian Keuangan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            'identitas'           => $data_anggota,
            // Isi dalam konten
            'rincian_kontrak'     => $rincian_kontrak,
            'doc'                 => $data_realisasi,
            'jaminan'             => $data_jaminan,
            'data_angsuran'       => $data_angsuran,
            'sudah_bayar'         => $sudah_bayar
        );
        $this->load->view('keuangan/index', $data);
    }
}

/* End of file ControllerAktif.php and path \application\controllers\kabag_marketing\operasional\ControllerAktif.php */